Feel free to reach techsupport@surepass.io for any technical support or guidance.
Authorization header as Bearer TOKEN.https://sandbox.surepass.iohttps://kyc-api.surepass.io| Header | Required | Description |
|---|---|---|
| Authorization | Yes | Bearer token authentication using JWT token |
| Content-Type | Yes | application/json |
| Parameter | Type | Required | Description |
|---|---|---|---|
| full_name | String | Yes | Given name |
| dob | String | Yes | Given DOB (YYYY-MM-DD format) |
| hosted | Boolean | No | Do Hosted KYC or not |
| scopes | List | No | Which kinds of KYC to allow |
| timedelta | Integer | No | Time for the token to be alive (min) |
| config | Object | No | Configuration for OCR thresholds |
| hosted_config | Object | No | Hosted KYC configuration |
| reference_id | String | Yes | Reference ID |
| mobile_number | String | Yes | Mobile number |
| client | String | Yes | Client identifier |
| masked_aadhaar | bool | No | Aadhaar masking option |
| webhook_url | URL | Yes | Webhook callback URL |
{
"full_name": "John Doe",
"dob": "1990-01-01"
}| Parameter | Type | Required | Description |
|---|---|---|---|
| customer_id | String | Yes | Unique identifier of the Client |
| full_name | String | Yes | Full Name of the Customer |
| dob | Date | Yes | Date of Birth of the Customer |
| expiry | DateTime | Yes | Expiry Date |
| token | String | Yes | Token for Hosted KYC |
| hosted_link | String | Yes | Hosted Link |
{
"customer_id": "CUST123456",
"full_name": "John Doe",
"dob": "1990-01-01",
"expiry": "2025-05-15T18:30:00Z",
"token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
"hosted_link": "https://kyc.surepass.io/hosted/CUST123456"
}
{
"error": "unauthorized",
"message": "Invalid or expired token provided"
}curl --location --request POST 'https://kyc-api.surepass.app/api/v1/customer/' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"full_name": "{{full_name}}",
"dob": "{{dob}}"
}'{
"customer_id": "CUST123456",
"full_name": "John Doe",
"dob": "1990-01-01",
"expiry": "2025-05-15T18:30:00Z",
"token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
"hosted_link": "https://kyc.surepass.io/hosted/CUST123456"
}